#!/bin/bash
echo "Update Info.plist files..."
BASEDIR=$(dirname $0)
echo searching for Info.plist to update...
for file in $(find /usr/lib* -name "Info.plist" | grep "ifd-ccid.bundle/Contents" ); do
	NOW=$(date +%d-%m-%y-%T)
	cp -f ${file} ${file}.$NOW.orig	
	echo updating $file
    $BASEDIR/check_plist_integrity.sh ${file}
	if [ "$?" -eq 1 ]; then
		exit 1
	fi
	
	echo updating $file
	cp -f ${file} ${file}.orig	
	$BASEDIR/update_jacarta_driver.sh $file
	
#	$BASEDIR/remove_by_friendly_name.sh '<string>.*ARDS.*</string>'  ${file} 
#	$BASEDIR/remove_by_friendly_name.sh '<string>.*Aladdin R.D.*</string>'  ${file}
#	$BASEDIR/remove_by_friendly_name.sh '<string>.*JaCarta.*</string>'  ${file}
#	$BASEDIR/remove_by_friendly_name.sh '<string>.*JCR-770.*</string>'  ${file}
#	$BASEDIR/remove_by_friendly_name.sh '<string>.*bR301.*</string>'  ${file}
#	$BASEDIR/remove_by_friendly_name.sh '<string>.*iR301.*</string>'  ${file}

#	$BASEDIR/update_ifd_ccid_bundle.sh ${file} "0x24DC" "0x0102" "Aladdin R.D. JaCarta LT" > ${file}.tmp
#	$BASEDIR/update_ifd_ccid_bundle.sh ${file}.tmp "0x24DC" "0x100F" "Aladdin R.D. JaCarta Flash" > ${file}.tmp1
#	$BASEDIR/update_ifd_ccid_bundle.sh ${file}.tmp1 "0x24DC" "0x0201" "Aladdin R.D. JCR-770" > ${file}.tmp2
#	$BASEDIR/update_ifd_ccid_bundle.sh ${file}.tmp2 "0x24DC" "0x0101" "Aladdin R.D. JaCarta" > ${file}.tmp3
#	$BASEDIR/update_ifd_ccid_bundle.sh ${file}.tmp3 "0x24DC" "0x0401" "Aladdin R.D. JaCarta WebPass" > ${file}.tmp4
#	$BASEDIR/update_ifd_ccid_bundle.sh ${file}.tmp4 "0x24DC" "0x0402" "Aladdin R.D. JaCarta Quick" > ${file}.tmp5
#	$BASEDIR/update_ifd_ccid_bundle.sh ${file}.tmp5 "0x24DC" "0x0403" "Aladdin R.D. JaCarta Flash" > ${file}.tmp6
#	$BASEDIR/update_ifd_ccid_bundle.sh ${file}.tmp6 "0x24DC" "0x0404" "Aladdin R.D. JaCarta Premium" > ${file}.tmp7
#	$BASEDIR/update_ifd_ccid_bundle.sh ${file}.tmp7 "0x24DC" "0x0405" "Aladdin R.D. JaCarta TLS" > ${file}.tmp8
#	$BASEDIR/update_ifd_ccid_bundle.sh ${file}.tmp8 "0x24DC" "0x0501" "Aladdin R.D. JaCarta U2F" > ${file}.tmp9
#	$BASEDIR/update_ifd_ccid_bundle.sh ${file}.tmp9 "0x096E" "0x0619" "iR301" > ${file}.tmp10
#	$BASEDIR/update_ifd_ccid_bundle.sh ${file}.tmp10 "0x096E" "0x061C" "iR301" > ${file}.tmp11
#	$BASEDIR/update_ifd_ccid_bundle.sh ${file}.tmp11 "0x096E" "0x061A" "bR301" > ${file}.tmp
	
#	echo checking updated $file
#	$BASEDIR/check_plist_integrity.sh ${file}.tmp
#	if [ "$?" -eq 1 ]; then
#		exit 1
#	fi
	
#	chown --reference=${file} ${file}.tmp
#	chmod --reference=${file} ${file}.tmp
#	mv -f ${file}.tmp ${file}
#	rm -f ${file}.tmp*
done
